iseq_inline_cache_entry Struct Reference

`#include <vm_core.h>`

## Data Fields

VALUE | ic_vmstat
VALUE | ic_class
union {
VALUE value
rb_method_entry_t * method
long index
} | ic_value

## Detailed Description

Definition at line 128 of file vm_core.h.

## Field Documentation

VALUE iseq_inline_cache_entry::ic_class

Definition at line 130 of file vm_core.h.

Referenced by vm_getivar(), vm_method_search(), and vm_setivar().

union { ... } iseq_inline_cache_entry::ic_value

Referenced by vm_getivar(), vm_method_search(), and vm_setivar().

VALUE iseq_inline_cache_entry::ic_vmstat

Definition at line 129 of file vm_core.h.

Referenced by vm_getivar(), vm_method_search(), and vm_setivar().

long iseq_inline_cache_entry::index

Definition at line 134 of file vm_core.h.

Referenced by vm_getivar(), and vm_setivar().

rb_method_entry_t* iseq_inline_cache_entry::method

Definition at line 133 of file vm_core.h.

Referenced by vm_method_search().

VALUE iseq_inline_cache_entry::value

Definition at line 132 of file vm_core.h.

The documentation for this struct was generated from the following file:

- vm_core.h